/*
 * No Agenda Show for Samsung SMARTHub 2011-2013
 * 
 * (c)	Copyright 2013 Brian Cadge / selectiveblur software
 * 		feedback@selectiveblur.co.uk
 */

alert('Sceneabout.js loaded');

function Sceneabout() {

};

var showDebug = 0;

Sceneabout.prototype.initialize = function () {
	alert("Sceneabout.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here
	// scene HTML and CSS will be loaded before this function is called
	$('#imgAbout').sfImage({src:'images/bgAbout.png'});
	$('#hbAbout').sfKeyHelp({'return':'Back'});
};

Sceneabout.prototype.handleShow = function (data) {
	alert("Sceneabout.handleShow()");
	// this function will be called when the scene manager show this scene
};

Sceneabout.prototype.handleHide = function () {
	alert("Sceneabout.handleHide()");
	// this function will be called when the scene manager hide this scene
};

Sceneabout.prototype.handleFocus = function () {
	alert("Sceneabout.handleFocus()");
	// this function will be called when the scene manager focus this scene
};

Sceneabout.prototype.handleBlur = function () {
	alert("Sceneabout.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
};

Sceneabout.prototype.handleKeyDown = function (keyCode) {
	alert("Sceneabout.handleKeyDown(" + keyCode + ")");
	switch (keyCode) {
		case sf.key.LEFT:
			break;
		case sf.key.RIGHT:
			break;
		case sf.key.UP:
			break;
		case sf.key.DOWN:
			break;
		case sf.key.ENTER:
			if (showDebug == 27)
				{
		    	sf.scene.hide('about');
		    	sf.scene.show('debug');
		    	sf.scene.focus('debug');				
				}
			else
				{
				showDebug = 0;
				}			
			break;
		case sf.key.N9:
			showDebug+=9;
			break;			
		case sf.key.RETURN:
			sf.key.preventDefault();
	    	sf.scene.hide('about');
	    	sf.scene.show('ShowSelect');
	    	sf.scene.focus('ShowSelect');
	    	break;			
		default:
			alert("handle default key event, key code(" + keyCode + ")");
			break;
	}
};
